@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="index.html"><i class="icon-home2 position-left"></i> Penjualan</a></li>
			<li class="active">Laporan Penjualan</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Penjualan Laporan Keseluruhan</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	{{-- <button class="btn btn-primary" id="btn_tambah_carabayar"><i class=""></i>Tambah</button> --}}
	    	<form class="form-horizontal" autocomplete="off" id="form_laporan">
	    		<input type="hidden" name="_token" value="{{ csrf_token() }}">
	    		<div class="col-sm-6">
	    			<input type="hidden" name="jenis">
		    		<div class="form-group">
		    			<label class="control-label col-sm-4">Tanggal Awal</label>
		    			<div class="col-sm-8">
		    				<input class="form-control date_awal" type="text" name="tanggal_awal" required>
		    			</div>
		    		</div>
	    		</div>
	    		<div class="col-sm-6">
		    		<div class="form-group">
		    			<label class="control-label col-sm-4">Tanggal Akhir</label>
		    			<div class="col-sm-8">
		    				<input class="form-control date_akhir" type="text" name="tanggal_akhir" required>
		    			</div>
		    		</div>
	    		</div>
	    		<div class="col-sm-12">
		    		<div class="form-group pull-right">
		    			<div class="btn-group btn-group-fade">
							<button type="button" class="btn btn-primary"><i class="icon-printer position-left"></i> Cetak</button>
			                <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown"><span class="caret"></span></button>
			                    <ul class="dropdown-menu dropdown-menu-right">
									<li><a type="submit" id="btn_cetak" class="btn" data-toggle="tooltip" data-placement="top" title="Cetak Laporan Pembelian Keseluruhan">Detail Penjualan Keseluruhan</a></li>
									<li><a type="submit" id="btn_cetakgroup" class="btn" data-toggle="tooltip" data-placement="top" title="Cetak Laporan Pembelian Keseluruhan">Rekapitulasi Penjualan Keseluruhan</a></li>
								</ul>
						</div>
		    			
		    		</div>
	    		</div>
	    	</form>
	    </div>
	    {{-- <table class="table table-stripped table_detail">
	    	<thead>
				<tr>
					<th>No</th>
					<th>Tanggal</th>
                    <th>No. Faktur</th>
                    <th>Barang</th>
                    <th>Jenis</th>
                    <th>Masuk</th>
                    <th>Keluar</th>
                    <th>Jumlah</th>
					<th>Gudang</th>
					<th>Keterangan</th>
				</tr>
			</thead>
			<tbody>

			</tbody>
	    </table> --}}
	</div>
</div>
<script type="text/javascript">


	$("#btn_cetak").click(function(){
		var tanggal_awal = $("[name=tanggal_awal]").val();
		var tanggal_akhir = $("[name=tanggal_akhir]").val();
		if(tanggal_awal != '' && tanggal_akhir != ''){
			var url = "{{ url('laporan_penjualan/cetak_detail') }}";
			$("[name=jenis]").val(1);
			$("#form_laporan").attr('action', url);
			$("#form_laporan").attr('method', 'post');
			$("#form_laporan").attr('target', '_blank');
			$("#form_laporan").submit();
		}

	})

	$("#btn_cetakgroup").click(function(){
		var tanggal_awal = $("[name=tanggal_awal]").val();
		var tanggal_akhir = $("[name=tanggal_akhir]").val();
		if(tanggal_awal != '' && tanggal_akhir != ''){
			var url = "{{ url('laporan_penjualan/cetak_detail') }}";
			$("[name=jenis]").val(2);
			$("#form_laporan").attr('action', url);
			$("#form_laporan").attr('method', 'post');
			$("#form_laporan").attr('target', '_blank');
			$("#form_laporan").submit();
		}
	})

</script>


@endsection